<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AddDocumentAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a23a0989ca4df1ffe0ae35ce370ff05a4">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ff333af40c8164aa40b129e745a37cc">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a264594363c603814ec6aaecdd4b43d68">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>AddDocumentsAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a656bbfaef5d43411849ca697a13934b2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#aa8400c98add1356b9d594264cc1084ec">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>AdditionalRule()
: <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a3a6cd2cfefe48fa75e77a24044efa617">SemanticSearchImplementation.AdditionalRule</a>
</li>
<li>AddOtherDocuments()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a8fb393242f74b84e83b499ec66e7311c">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>ApplicationProfile()
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a670c702984050548788edc50ff74eb38">SemanticSearchImplementation.ApplicationProfile</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>BulkRequestAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#adaafcf06cdd3290e3fa1fb08edcace48">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>ChangeIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ad539e2885d813afc8484844c43e21659">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a5f3281adfa42ef1587f0ff32454aef26">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>CheckDocumentIsSet()
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#a3a28b585e0b5c9847245cacebd95d73f">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>ConstructAdditionalRules()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8d3defa7b15d35ff8188de0e24d4e990">SemanticSearchImplementation.RdfClient</a>
</li>
<li>ConstructLiteralRules()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a74621d06a8eb3a90572710d6b6849349">SemanticSearchImplementation.RdfClient</a>
</li>
<li>CreateDocument()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#afb0d5d6e13bde96600f8f489752644f3">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>CreateFields()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ad694bbe97a60dc38cec52311ab400950">SemanticSearchImplementation.RdfClient</a>
</li>
<li>CreateFieldsFromAdditionalRule()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0667466b05b61830e8808ce3ff45ea08">SemanticSearchImplementation.RdfClient</a>
</li>
<li>CreateIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ad42b90ee9fc249fc5ca0f0485e60c903">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateIndexAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ada6b558939d7039a662a0c584c27c043">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a9ab1b757bf2df8b7324dd94cfebb3077">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#abaa774b868c7f42c97a9b804b98f3592">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>CreateJsonContent()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a675e7317c556764f3f1775eeca4e18e2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>CreateJTokenForESFromList()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#aa732341c622420280d125d1e7ba3eb6f">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>CreateLabelOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0706801ca2aa20f1c77715204dc8247a">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateLabelOfProps()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a08c46df0f78abc3b46f6193e4e344985">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateTypeOfProps()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a4c0e79b4e855c7e9ba062531d0fdaf94">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>CreateVisibilityFilter()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a82703171ca5f50be94daaab1785db0c2">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DataTypeParser()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a8c371d01e728d8bc0e40130e2ef4e5f7">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>DeleteDocumentAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a306ac19c0f67d957b1067e528efd53c7">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1cb5a1be1f418a82548c707f35a565af">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aeb17f107cf6d33d31f812eede1b61365">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>DeleteIndexAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a1e0d80cc6faed74485063882c8b5eeb6">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#acb7deea3df7b5e8a69eb6cedb7a43ab3">SemanticSearchImplementation.ISearchClient</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>ElasticsearchIndexMapper()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0cb17b07dc5a845e908f535511d9c873">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>ElasticsearchSearchClient()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa2ed113cba7590aff4b9d6d1682c6e49">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>ExecuteRule()
: <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html#a9785f674afd25170a80e21c9986dc75b">SemanticSearchImplementation.AdditionalRule</a>
, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html#abe973343c9aef0c533b471a893b1a00d">SemanticSearchImplementation.LiteralRule</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>GetAdditionalTriples()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a764c108f649c8f6d512bb490350bf079">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetAllConstructRulesForLiterals()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#adca1f5830224dba48ffe708010cf6059">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetAllMetadataIds()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a229577669657b068d1340cf411431a2a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetApplicationProfileOfMetadata()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a10fc1f74ce46481187022f780823f01b">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetApplicationProfilesNamesOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0fcedec7e459d3c204e1c4d559f6706a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetCurrentIndex()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9c280ad42538e56bf06f15ef4de60675">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>GetCurrentIndexVersion()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a1b3377aa66f25bc348f4b31f775b34b7">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetDataType()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5ee10ad6542a8104374c41984700e600">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetDirectClasses()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6b87aa54d1f864f9950250f4a74016ed">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetFinalQueryString()
: <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ac4130628b3c4f81647bae9be263a2d7a">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>GetGeneralAdditionalTriples()
: <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">SemanticSearchImplementation.ApplicationProfile</a>
</li>
<li>GetGraph()
: <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a58522871a768f8aa245c1dda7f28c312">SemanticSearchImplementation.IRdfConnector</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>GetIdFromGraphNameAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a3ba32ace0e0cab0a2b48900f0872a688">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>GetLabelOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae1e7d8d6f5b4c6e28306796ecf04b1db">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>GetLanguage()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaae0d58607a397366b95ea7df96c46f2">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetLiterals()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a06f7a43559af6b078b36d396a8c99e9c">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>GetMappingAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#acd867ae8d2f8cb1d10768502462e7b82">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a919066ae905397687167580e2d7ff227">SemanticSearchImplementation.ISearchClient</a>
</li>
<li>GetParentClasses()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#acd878efe4cd42cca5d36ef23a3f721be">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetPrefixesOfGraph()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8c5e47823241f1bcf75be13a2ed62b3d">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetProjectsOfUser()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#adbb7e39f2915406c4edb5cbacb022dce">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetProperties()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaa5ba8d2534423dfbb370aa2d4400722">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetRdfsLabel()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a469c28c5a40982b1b34e96d439343a78">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetSearchResults()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae9a5146cb7ee4dab269aad27785d3448">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>GetSearchType()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2739439e0b1a22f1c0e738605b696cf6">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
<li>GetTriplesFromGraph()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0207920bfa013e9d7d59cb08107c128a">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GetTypeOfProperty()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a97f1d23bbea4c1e2466c1c1cc409a853">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a708959ad91511d00229939edf8849adc">SemanticSearchImplementation.RdfClient</a>
</li>
<li>GuessLabel()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0c65fc8a2ffd3878d44adaeee55df8a6">SemanticSearchImplementation.RdfClient</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>HandleResponse()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#ae57d4f935abe00dbadddbe2d707bf91f">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>LiteralRule()
: <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html#af1931669d6858e62508420b0e0a03562">SemanticSearchImplementation.LiteralRule</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>Main()
: <a class="el" href="class_semantic_search_implementation_1_1_semantic_search.html#aea0d0c35d8531a60cc375401a196ec18">SemanticSearchImplementation.SemanticSearch</a>
</li>
<li>MarkGraphAsDeleted()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a325fdfbd041bf2b43ce396e9a1da64b5">SemanticSearchImplementation.RdfClient</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>Parse()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a18849e45b44c2cd985b39ff79bddeae0">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>ParseBoolean()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a7d5b2779e4f9f8c5ab20f92bc301f166">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>ParseDate()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a9a3ac75774b1e0b1fbb0eff67401542e">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>ParseInt()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#af34f08c81f1c9423c0f074a33dce5e2f">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>ParseLiteralNode()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a71886e1c97ea1b9bed344f6e4f0c5d25">SemanticSearchImplementation.DataTypeParser</a>
</li>
<li>ParseString()
: <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html#a3928fe278ccf5e714762f442d586cbdd">SemanticSearchImplementation.DataTypeParser</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>QueryWithResultGraph()
: <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a43e607b1296b7409c60c7a7fd4c3c3ab">SemanticSearchImplementation.IRdfConnector</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ad6513f05266064ad1094b86315850a7c">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
<li>QueryWithResultSet()
: <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#ad7649dd5f0f6f03b0557770a35e5c7a7">SemanticSearchImplementation.IRdfConnector</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a1dcc4474aee369c058ddf4faf0928513">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>RdfClient()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a425c1a2d8643747f852c1cce9ee0d88e">SemanticSearchImplementation.RdfClient</a>
</li>
<li>RdfSearchMapper()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a881f6f1e97e793fdfedaef0c714548f7">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>ReIndexAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9cd26a7bc78359fdd781ad108c828af9">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>ReplaceMapping()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#abec997d6b8e4caa78a5089676e8e0ffa">SemanticSearchImplementation.ElasticsearchIndexMapper</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>Search()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a34342fb826b3e64cdfc48afa412e5b8e">SemanticSearchImplementation.ElasticsearchSearchClient</a>
</li>
<li>SearchAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#aa4b8db03c1a6f59fed8fc3a21c2b71d6">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a4941aadcb081b3debbf4b3a57986882e">SemanticSearchImplementation.ISearchClient</a>
, <a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9534732a7ffc8e6298597a522c8b2b15">SemanticSearchImplementation.RdfSearchMapper</a>
</li>
<li>SetCurrentIndexVersion()
: <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6483721fe8fb067835647b236e7e11a5">SemanticSearchImplementation.RdfClient</a>
</li>
<li>SpecificApplicationProfile()
: <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a296fcd0e022b319af338d797916dc212">SemanticSearchImplementation.SpecificApplicationProfile</a>
</li>
<li>SwitchAliasAsync()
: <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_search_client.html#a46a54adb57d6821229aa73d7918a0e97">SemanticSearchImplementation.ElasticsearchSearchClient</a>
, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html#a1ad1eab5dedb94a615d1c8608dc7052f">SemanticSearchImplementation.ISearchClient</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>Update()
: <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a291a31a1dd851b47c831c8cbddc5b23e">SemanticSearchImplementation.IRdfConnector</a>
, <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a8b88955c969854bbf6c30516881d2d95">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>VirtuosoRdfConnector()
: <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a9a53bad62d02ef44d03eced610359fd5">SemanticSearchImplementation.VirtuosoRdfConnector</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
